#!/usr/bin/env ruby
# -*- coding: utf-8 -*-
#
# アンケート管理者メニュー
#

require 'al_form'
require 'al_template'
require 'al_mif'
require '../enquete'

class AlController

  ##
  # constructor
  #
  #@note
  # mifを使うので、@formと@persistを登録しておく。
  #
  def initialize()
    @form = AlForm.new(
      AlText.new( 'enquete_id', :foreign=>true, :hidden=>true, :validator=>/^\d{8}$/ ),
      AlTimestamp.new( 'create_date', :label=>'編集日' ),
      AlText.new( 'title', :label=>'タイトル' ),
    )
    @persist = Enquete.new()
    @search_condition = { :order_by=>["create_date"] }
  end


  ##
  # デフォルト動作
  #
  def action_index()
    @template_list = 'v_index.rhtml'
    begin
      action_list()

    rescue =>ex
      @message = ex.message
      AlTemplate.run( "v_errors.rhtml" )
    end
  end


  ##
  # テーブル作成
  #
  def action_make_table()
    require '../enquete_make_table'
    @enquete = Enquete.new
    @enquete.make_table()
    
    AlTemplate.run( "v_make_table.rhtml" )
  end


  ##
  # セキュリティーのため、不要なMIFのアクションを潰しておく
  #
  def action_create(); end
  def action_create_submit(); end
  def action_update(); end
  def action_update_submit(); end

end
